import datetime

import pytest

import symuid

# pylint: disable=protected-access


@pytest.mark.parametrize(('ts_sec', 'expected_dt'), [
    (1528795204,
     datetime.datetime(2018, 6, 12, 9, 20, 4, tzinfo=datetime.timezone.utc)),
])
def test__timestamp_to_utc_dt(ts_sec, expected_dt):
    assert expected_dt == symuid._timestamp_to_utc_dt(ts_sec)
